<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2023 Workiva-->
<!--r:f20b5416-59ba-48b5-be6e-090d20aeed30,g:014014c8-bcfa-4f7a-b420-f4372205290f-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.molinahealthcare.com/role/CoverPageDocument" xlink:type="simple" xlink:href="moh-20231222.xsd#CoverPageDocument"/>
  <link:presentationLink xlink:role="http://www.molinahealthcare.com/role/CoverPageDocument" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_CoverAbstract"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityCentralIndexKey_93481353-d926-4cdc-8fc2-a110f373a238" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityCentralIndexKey"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_EntityCentralIndexKey_93481353-d926-4cdc-8fc2-a110f373a238" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_CurrentFiscalYearEndDate_f1c02ed3-b8d8-42b5-b3d0-b2d5590210ab" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_CurrentFiscalYearEndDate"/>
    <link:presentationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_CurrentFiscalYearEndDate_f1c02ed3-b8d8-42b5-b3d0-b2d5590210ab" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_DocumentType_dab6bc02-26a3-4272-bf6b-b132f07581b7" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_DocumentType"/>
    <link:presentationArc order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_DocumentType_dab6bc02-26a3-4272-bf6b-b132f07581b7" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityEmergingGrowthCompany_e3b2ea5e-4fd0-4954-8311-d11be79af1fc" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityEmergingGrowthCompany"/>
    <link:presentationArc order="4" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_EntityEmergingGrowthCompany_e3b2ea5e-4fd0-4954-8311-d11be79af1fc" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_Security12bTitle_edcb5a49-534a-47d7-b283-c1888d8c651c" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_Security12bTitle"/>
    <link:presentationArc order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_Security12bTitle_edcb5a49-534a-47d7-b283-c1888d8c651c" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityIncorporationStateCountryCode_1e716e22-a5b5-4138-a041-0304021c3733" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityIncorporationStateCountryCode"/>
    <link:presentationArc order="6" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_EntityIncorporationStateCountryCode_1e716e22-a5b5-4138-a041-0304021c3733" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityFileNumber_d73637ad-842c-470a-bd0f-4558dfb2380b" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityFileNumber"/>
    <link:presentationArc order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_EntityFileNumber_d73637ad-842c-470a-bd0f-4558dfb2380b" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityTaxIdentificationNumber_69ab8488-720b-4619-bbdc-f47e57e83ca1" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityTaxIdentificationNumber"/>
    <link:presentationArc order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_EntityTaxIdentificationNumber_69ab8488-720b-4619-bbdc-f47e57e83ca1" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_TradingSymbol_50ad48ec-1b96-4e53-95a3-3b44a3fbcaef" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_TradingSymbol"/>
    <link:presentationArc order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_TradingSymbol_50ad48ec-1b96-4e53-95a3-3b44a3fbcaef" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_SecurityExchangeName_4371c9ef-ae38-4f1b-b560-c32572f710dd" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_SecurityExchangeName"/>
    <link:presentationArc order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_SecurityExchangeName_4371c9ef-ae38-4f1b-b560-c32572f710dd" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_DocumentPeriodEndDate_1170e6e6-bee5-4105-a89e-3ae3178229b3" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_DocumentPeriodEndDate"/>
    <link:presentationArc order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_DocumentPeriodEndDate_1170e6e6-bee5-4105-a89e-3ae3178229b3" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityRegistrantName_4e49920e-3bf9-4d86-93dd-3ef510eff4a8" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityRegistrantName"/>
    <link:presentationArc order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_EntityRegistrantName_4e49920e-3bf9-4d86-93dd-3ef510eff4a8" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_CityAreaCode_5548c567-c7e2-4c8a-8c9c-e6998fac0efd" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_CityAreaCode"/>
    <link:presentationArc order="13" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_CityAreaCode_5548c567-c7e2-4c8a-8c9c-e6998fac0efd" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_LocalPhoneNumber_631f86a5-7315-4018-acd5-315710c86ddb" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_LocalPhoneNumber"/>
    <link:presentationArc order="14" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_LocalPhoneNumber_631f86a5-7315-4018-acd5-315710c86ddb" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_WrittenCommunications_11f54e61-ae5f-4db3-8e58-250d81209bb6" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_WrittenCommunications"/>
    <link:presentationArc order="15" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_WrittenCommunications_11f54e61-ae5f-4db3-8e58-250d81209bb6" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_SolicitingMaterial_027a0ce7-9183-4ff0-8b15-8f2cf3bff850" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_SolicitingMaterial"/>
    <link:presentationArc order="16" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_SolicitingMaterial_027a0ce7-9183-4ff0-8b15-8f2cf3bff850" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_PreCommencementTenderOffer_89b8a17e-1afb-4252-81a7-48e71bbdf364" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_PreCommencementTenderOffer"/>
    <link:presentationArc order="17" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_PreCommencementTenderOffer_89b8a17e-1afb-4252-81a7-48e71bbdf364" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_PreCommencementIssuerTenderOffer_e104f49b-5c5e-47ff-80e5-ec40322a72ca" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_PreCommencementIssuerTenderOffer"/>
    <link:presentationArc order="18" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_PreCommencementIssuerTenderOffer_e104f49b-5c5e-47ff-80e5-ec40322a72ca" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_AmendmentFlag_40685f34-0c16-468e-b23d-952f6d0aca25" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_AmendmentFlag"/>
    <link:presentationArc order="19" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_AmendmentFlag_40685f34-0c16-468e-b23d-952f6d0aca25" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressAddressLine1_13a37905-bd31-4e22-b324-75cfea55632e" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityAddressAddressLine1"/>
    <link:presentationArc order="20" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_EntityAddressAddressLine1_13a37905-bd31-4e22-b324-75cfea55632e" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressCityOrTown_38336bb0-0669-4b46-8f7c-8787ff51e19b" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityAddressCityOrTown"/>
    <link:presentationArc order="21" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_EntityAddressCityOrTown_38336bb0-0669-4b46-8f7c-8787ff51e19b" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressStateOrProvince_bc0bd534-bfac-4c7f-8cec-8030d1c8f5b6" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityAddressStateOrProvince"/>
    <link:presentationArc order="22" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_EntityAddressStateOrProvince_bc0bd534-bfac-4c7f-8cec-8030d1c8f5b6" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressPostalZipCode_d83a5b29-b6ca-4763-871c-b8b9c52ec799" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityAddressPostalZipCode"/>
    <link:presentationArc order="23" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_46d13a0c-cbbd-44d5-9cc2-36fa11fdac27" xlink:to="loc_dei_EntityAddressPostalZipCode_d83a5b29-b6ca-4763-871c-b8b9c52ec799" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
  </link:presentationLink>
</link:linkbase>
